---
stages:
  - lint

lint-yaml:
  stage: lint
  image: sdesbure/yamllint
  tags:
    - k8s-runner
  script:
    - for file in $(find . -name "*.y*ml");
      do yamllint -c .yamllint $file;
      done

lint-policies:
  stage: lint
  image: bengig/config-lint:latest
  tags:
    - k8s-runner
  script:
    - config-lint -rules /usr/local/share/rules/argocd-labels.yml argocd
